# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TOperationType

Packages that use TOperationType
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TOperationType in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TOperationType in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TOperationType`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TOperationType
Modifier and Type
Field
Description
`TOperationType`
TOperationHandle.`operationType`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TOperationType
Modifier and Type
Method
Description
`static TOperationType`
TOperationType.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TOperationType`
TOperationHandle.`getOperationType()`
`static TOperationType`
TOperationType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TOperationType[]`
TOperationType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOperationType
Modifier and Type
Method
Description
`TOperationHandle`
TOperationHandle.`setOperationType(TOperationType operationType)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOperationType
Modifier
Constructor
Description
``
`TOperationHandle(THandleIdentifier operationId, TOperationType operationType, boolean hasResultSet)`